class LedgerEntry:
    date_format = "%Y/%m/%d"

    def __init__(self, date, title, entries=None):
        self.date = date
        self.title = title
        self.entries = entries if entries is not None else []

    def to_string(self):
        string = "{} * {}".format(self.date.strftime(self.date_format),
                                  self.title)
        for entry in self.entries:
            string += "\n\t{}".format(entry['account'])
            if entry['commodity'] is not None:
                string += "\t{}".format(entry['commodity'])
        string += "\n\n"
        return string

    def add(self, entry):
        self.entries.append(entry)
